Try to install Couchbase 1.0-4 on Ubuntu 16.04


#1

First of all I downloaded the couchbase server on my ubuntu 16.04 server (Virtual Machine)

curl -O http://packages.couchbase.com/releases/couchbase-release/couchbase-release-1.0-4-amd64.deb

After that I tried to do

sudo dpkg -i couchbase-release-1.0-4-amd64.deb

I got an error that tells me

‘couchbase-release-1.0-4-amd64.deb’ is not a debian format archive

What can I do to complete the installation?


#2

Hi @mathias.mols,

If that’s not a typo, then it looks like you’re trying to use a very old version of Couchbase that isn’t even supported at the enterprise level anymore. I’m wondering how you even found that packages.couchbase.com link, and it’s possible that’s not even a valid package file anymore (it looks to be suspiciously small).

Is there anything I can do to help you move to a newer version of Couchbase Server?


#3

Just to clarify, that’s the package from here rather than Couchbase Server itself (I think something that old would still be Membase Server! :wink: ) If you’re looking to actually download Couchbase Server, check out the Downloads Page.

I just gave this a quick test, and couldn’t reproduce the issue when wgeting the file, nor when using your example of curl -O. I suspect something might’ve gone wrong with the download - does this happen every time you try the steps?